%global momorel 1

Summary: TagLib Audio Meta-Data Library
Name: taglib
Version: 1.3.1
Release: %{momorel}m
Group:   Development/Libraries
License: GPL
URL:     http://developer.kde.org/~wheeler/taglib.html
%NoSource 0 http://developer.kde.org/~wheeler/files/src/%{name}-%{version}.tar.gz f5c7c71513ba51b240864d7475a199c0
Buildroot: %{_tmppath}/%{name}-%{version}-root
BuildPrereq: gcc-c++ >= 3.4.1-1m
# BuildPreReq: doxygen

%description
 TagLib is a library for reading and editing the meta-data of several popular audio formats. Currently it supports both ID3v1 and ID3v2 for MP3 files, Ogg Vorbis comments and ID3 tags and Vorbis comments in FLAC files.

%package devel
Summary: TagLib Audio Meta-Data Library
Group:   Development/Libraries
Requires: %{name} = %{version}-%{release}

%description devel
devel files for TagLib Audio Meta-Data Library

%prep
%setup -q

%build
%configure
%make

# # generate the TagLib API documentation
# cd taglib-api
# doxygen taglib.doxygen

%install
rm -rf %{buildroot}
make DESTDIR=%{buildroot} transform='s,x,x,' install

# remove unwanting file
rm -rf examples/.deps

%post
/sbin/ldconfig

%postun
/sbin/ldconfig

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc README INSTALL ChangeLog AUTHORS COPYING TODO
%{_libdir}/lib*.so.*

%files devel
%defattr(-,root,root)
%doc examples
# %%doc taglib-api
%{_bindir}/*
%{_includedir}/taglib
%{_libdir}/lib*.la
%{_libdir}/lib*.so

%changelog
* Mon Nov 08 2004 Masayuki SANO <nosanosa@momonga-linux.org>
- (1.3.1-1m)
- update to 1.3.1

* Mon Sep 27 2004 Hiroyuki Koga <kuma@momonga-linux.org>
- (1.3-2m)
- rebuild against gcc-c++-3.4.1
- add BuildPrereq: gcc-c++

* Wed Sep 15 2004 Ichiro Nakai <ichiro@n.email.ne.jp>
- (1.3-1m)
- update to version 1.3

* Tue Aug 17 2004 Ichiro Nakai <ichiro@n.email.ne.jp>
- (1.2-1m)
- update to version 1.2 (required by amarok-1.1)
- change URL

* Sun Mar 21 2004 Ryu SASAOKA <ryu@momonga-linux.org>
- (1.0-2m)
- change docdir %%defattr

* Mon Feb  9 2004 Masayuki SANO <sano@acs.i.kyoto-u.ac.jp>
- (1.0-1m)
- import to Momonga (required by kdemultimedia-3.2.0)
